import javax.persistence.*;
import java.util.*;

public class TestClient {
  @PersistenceUnit private static EntityManagerFactory emf;
  public static void main(String[] args) throws Exception {
    if(emf == null) {
      emf = Persistence.createEntityManagerFactory("pu1");
    }
    Integer e_id = new Integer(11);
    String  empTmpID = "10000";
    String  empNewID = "12345";
    String sqlStr = null;
    Query q = null;
    List  rList = null;

    System.out.println("persist with empTmpID="+empTmpID);
    EntityManager em = emf.createEntityManager();
    em.getTransaction().begin();
    PTEmployee e1 = new PTEmployee(e_id, empTmpID, new Float(20.50));
    em.persist(e1);
    em.getTransaction().commit();

    // update
    System.out.println("try to update with empNewID="+empNewID);
    em.getTransaction().begin();
    PTEmployee emp1 = em.find(PTEmployee.class, e_id);
    emp1.setEmployeeID(empNewID);
    em.merge(emp1);
    em.getTransaction().commit();

    // query
    System.out.println("check DB entry");
    em.getTransaction().begin();
    sqlStr = "SELECT e.employeeID FROM PTEmployee e WHERE e.id = :eid";
    q = em.createQuery(sqlStr);
    q.setParameter("eid", e_id);
    q.setHint("toplink.refresh",true);
    rList = q.getResultList();
    if (rList.size() != 0) {
      System.out.println("empDBID="+(String)rList.get(0));
    } else {
      System.out.println("rList.size()="+rList.size());
    }
    em.getTransaction().commit();

    em.close();
  }


}




